export class DynamicNode {
    public dynamicNodeData: DynamicNodeData={};
    constructor(ndata:DynamicNodeData) {
        this.dynamicNodeData=ndata;
    }
}

export class ComponentPair{
    public name: string; 
    public flag: boolean;

    constructor(name = "MyName", flag = false){
        this.name = name;
        this.flag = flag;
    }
}

export interface DynamicNodeData {
    ident?:string;
    namespaceUri?:string;
    parentNodeId?:string;
    checkInterval?:number;
    nodeClass?:string;
    typeNodeId?:string;
    name?:string;
    startIndex?:number;
}